VisualEditor: If an added category is a redirect to another, suggest adding the target instead
Closed, ResolvedPublic

Description

If category:A is redirected to category:B
when user adds category:A it should switch it automatically to category:B like mediawiki:gadget-Hotcat.js


Version: unspecified
Severity: enhancement

bzimport set Reference to bz52414.
Yamaha5 created this task.Via LegacyAug 1 2013, 7:06 PM
Krenair added a comment.Via ConduitMar 11 2014, 6:45 PM

So the redirect comes up as a suggestion, but when we add it, the redirect is resolved and the target added?

gerritbot added a comment.Via ConduitMar 11 2014, 11:56 PM

Change 118218 had a related patch set uploaded by Alex Monk:
Follow redirects in the category widgets

https://gerrit.wikimedia.org/r/118218

gerritbot added a comment.Via ConduitApr 17 2014, 2:44 AM

Change 118218 merged by jenkins-bot:
Follow redirects in the category widgets

https://gerrit.wikimedia.org/r/118218

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.